/* 
  AWSService.strings
  SeeCoreResources

  Created by Helge Heß on 12.08.20.
  Copyright © 2020 ZeeZide. All rights reserved.
*/

nameLabel                        = "Name";
accessKeyID                      = "Access Key ID";
secureAccessKey                  = "Secure Access Key";
defaultRegion                    = "Default Region";

Edit.title                       = "AWS";
Edit.PlaceHolder.accessKeyID     = "ABCDEFGH1IJKLMNOPQRS";
Edit.PlaceHolder.secureAccessKey = "1abCd2efgH+IJKL2MNo3PqRSTUV4wXYzaBCD5e6f";

info                 = "Info";
arn                  = "ARN";
arn_long             = "AWS Resource Name";
path                 = "Path";
creationDate         = "Creation Date";
modificationDate     = "Modification Date";
lastUsedDate         = "Last used";
lastUsedRegion       = "Last Region";
passwordLastUpdated  = "Password Update";
permissionsBoundary  = "Permissions Boundary";
permission           = "Permission";
permissions          = "Permissions";
role                 = "Role";
roles                = "Roles";
user                 = "User";
users                = "Users";
tag                  = "Tag";
tags                 = "Tags";
maxSessionDuration   = "Max. Sessiontime";

userID               = "ID";
userName             = "Name";
roleID               = "ID";
roleName             = "Name";
groupID              = "ID";
groupName            = "Name";

PermissionBoundary.arn  = "Permission Boundary";
PermissionBoundary.type = "Boundary Type";

Lambda.runtime          = "Runtime";
Lambda.layer            = "Layer";
Lambda.handler          = "Handler";
APIGateway.id           = "ID";
APIGateway.endpoint     = "Endpoint";
APIGateway.protocolType = "Protocol Type";
APIGateway.name         = "Name";
APIGateway.info         = "Info";
APIGateway.version      = "Version";
APIGateway.disableSchemaValidation = "Disable Schema Validation";
APIGateway.warnings     = "Warnings";
APIGateway.importInfo   = "Import Info";

Create.title               = "Add AWS Account";
Create.introText           = "Create an account to connect to Amazon Web Services. An AWS Access Key ID and the AWS Secret Access Key are required (can be found in the AWS IAM Dashboard).";
Create.createButtonTitle   = "Create";

"AWSRegion.af-south-1"     = "Africa (Cape Town)";
"AWSRegion.ap-east-1"      = "Asia Pacific (Hong Kong)";
"AWSRegion.ap-northeast-1" = "Asia Pacific (Tokyo)";
"AWSRegion.ap-northeast-2" = "Asia Pacific (Seoul)";
"AWSRegion.ap-northeast-3" = "Asia Pacific (Osaka Local)";
"AWSRegion.ap-south-1"     = "Asia Pacific (Mumbai)";
"AWSRegion.ap-southeast-1" = "Asia Pacific (Singapore)";
"AWSRegion.ap-southeast-2" = "Asia Pacific (Sydney)";
"AWSRegion.ca-central-1"   = "Canada (Central)";
"AWSRegion.cn-north-1"     = "China (Beijing)";
"AWSRegion.cn-northwest-1" = "China (Ningxia)";
"AWSRegion.eu-central-1"   = "Europe (Frankfurt)";
"AWSRegion.eu-north-1"     = "Europe (Stockholm)";
"AWSRegion.eu-south-1"     = "Europe (Milan)";
"AWSRegion.eu-west-1"      = "Europe (Ireland)";
"AWSRegion.eu-west-2"      = "Europe (London)";
"AWSRegion.eu-west-3"      = "Europe (Paris)";
"AWSRegion.me-south-1"     = "Middle East (Bahrain)";
"AWSRegion.sa-east-1"      = "South America (Sao Paulo)";
"AWSRegion.us-east-1"      = "US East (N. Virginia)";
"AWSRegion.us-east-2"      = "US East (Ohio)";
"AWSRegion.us-gov-east-1"  = "AWS GovCloud (US-East)";
"AWSRegion.us-gov-west-1"  = "AWS GovCloud (US-West)";
"AWSRegion.us-iso-east-1"  = "US ISO East";
"AWSRegion.us-isob-east-1" = "US ISOB East (Ohio)";
"AWSRegion.us-west-1"      = "US West (N. California)";
"AWSRegion.us-west-2"      = "US West (Oregon)";

"AWSPartition.aws"      = "AWS";
"AWSPartition.awscn"    = "AWS China";
"AWSPartition.awsusgov" = "US Government Cloud";
"AWSPartition.awsiso"   = "ISO Cloud";
"AWSPartition.awsisob"  = "ISO-B Cloud";
